package Device

import (
	_ "github.com/astaxie/beego/cache/redis"
	_ "github.com/go-sql-driver/mysql"
	"time"
)

// 模板
type Device struct {
	T_sn              string    `orm:"pk;size(256);null"`    // 设备序列号 KF开头，环境监测主机。 YD开头，温途监测主机
	T_pid             int       `orm:"index;size(256);null"` // Account.Company 绑定公司
	T_MSISDN          string    `orm:"size(256);null"`       // 设备序列号 KF开头，环境监测主机。 YD开头，温途监测主机
	T_devName         string    `orm:"size(256);null"`       // 设备名称
	T_protocol        int       `orm:"size(2);1"`            // 冷链通讯协议 1 :1.0协议   2 :2.0协议    3 :3.0协议
	T_VerifyTime      time.Time `orm:"type(timestamp);"`     // 验证时间
	T_CalibrationTime time.Time `orm:"type(timestamp);"`     // 校准时间
	T_ist             int       `orm:"size(2);1"`            // 温度   1开启   2关闭
	T_ish             int       `orm:"size(2);1"`            // 湿度   1开启   2关闭

	// 设备同步参数
	T_Dattery  int    `orm:"size(4);null"`       // 电量
	T_Site     string `orm:"size(200);null"`     // GPS
	T_type     int    `orm:"index;size(4);null"` // Device.DeviceType  1库房   2移动
	T_give     int    `orm:"index;size(2);1"`    // 屏蔽状态 0 屏蔽  1 正常
	T_monitor  int    `orm:"index;size(2);null"` // 监控状态 0 未监控 1 监控
	T_online   int    `orm:"index;size(2);1"`    // 在线状态 0 未启用  1 在线  2 离线
	T_online_s int    `orm:"index;size(2);0"`    // 在线状态-备用  0 未启用  1 在线  2 离线

	T_State    int       `orm:"index;size(2);1"`                                       // 0 删除   1 正常
	CreateTime time.Time `orm:"column(create_time);type(timestamp);null;auto_now_add"` //auto_now_add 第一次保存时才设置时间
	UpdateTime time.Time `orm:"column(update_time);type(timestamp);null;auto_now"`     //auto_now 每次 model 保存时都会对时间自动更新
}
